Package org.apache.groovy.parser.antlr4

# Class GroovyParser.AssignmentExprAltContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext
org.apache.groovy.parser.antlr4.GroovyParser.AssignmentExprAltContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

    public static class GroovyParser.AssignmentExprAltContext
    extends GroovyParser.ExpressionContext

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `GroovyParser.ExpressionContext` | `left` |
  `org.antlr.v4.runtime.Token` | `op` |

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssignmentExprAltContext​(GroovyParser.ExpressionContext ctx)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ADD_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `AND_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `DIV_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ELVIS_ASSIGN()` |
  `GroovyParser.EnhancedStatementExpressionContext` | `enhancedStatementExpression()` |
  `GroovyParser.ExpressionContext` | `expression()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `LSHIFT_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `MOD_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `MUL_ASSIGN()` |
  `List<? extends GroovyParser.NlsContext>` | `nls()` |
  `GroovyParser.NlsContext` | `nls​(int i)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `OR_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `POWER_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `RSHIFT_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `SUB_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `URSHIFT_ASSIGN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `XOR_ASSIGN()` |

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext

  `copyFrom, getRuleIndex`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### left

    public GroovyParser.ExpressionContext left

  - ### op

    public org.antlr.v4.runtime.Token op

- ## Constructor Details

  - ### AssignmentExprAltContext

    public AssignmentExprAltContext​(GroovyParser.ExpressionContext ctx)

- ## Method Details

  - ### nls

    public List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls​(int i)

  - ### enhancedStatementExpression

    public GroovyParser.EnhancedStatementExpressionContext enhancedStatementExpression()

  - ### expression

    public GroovyParser.ExpressionContext expression()

  - ### ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode ASSIGN()

  - ### ADD_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode ADD_ASSIGN()

  - ### SUB_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode SUB_ASSIGN()

  - ### MUL_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode MUL_ASSIGN()

  - ### DIV_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode DIV_ASSIGN()

  - ### AND_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode AND_ASSIGN()

  - ### OR_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode OR_ASSIGN()

  - ### XOR_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode XOR_ASSIGN()

  - ### RSHIFT_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode RSHIFT_ASSIGN()

  - ### URSHIFT_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode URSHIFT_ASSIGN()

  - ### LSHIFT_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode LSHIFT_ASSIGN()

  - ### MOD_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode MOD_ASSIGN()

  - ### POWER_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode POWER_ASSIGN()

  - ### ELVIS_ASSIGN

    public org.antlr.v4.runtime.tree.TerminalNode ELVIS_ASSIGN()

  - ### accept

    public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`